Package org.lwjgl.opengl

# Class AMDDebugOutputCallback

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opengl.AMDDebugOutputCallback

All Implemented Interfaces:
  `PointerWrapper`

public final class AMDDebugOutputCallback extends PointerWrapperAbstract
Instances of this class are needed to use the callback functionality of the AMD_debug_output extension. A debug context must be current before creating instances of this class. Users of this class may provide implementations of the `Handler` interface to receive notifications. The same `Handler` instance may be used by different contexts but it is not recommended. Handler notifications are synchronized.

Author:
  Spasi

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AMDDebugOutputCallback.Handler`
Implementations of this interface can be used to receive AMD_debug_output notifications.

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Constructor Summary

Constructors
Constructor
Description
`AMDDebugOutputCallback()`
Creates an AMDDebugOutputCallback with a default callback handler.
`AMDDebugOutputCallback(AMDDebugOutputCallback.Handler handler)`
Creates an AMDDebugOutputCallback with the specified callback handler.

## Method Summary

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AMDDebugOutputCallback

public AMDDebugOutputCallback()
Creates an AMDDebugOutputCallback with a default callback handler. The default handler will simply print the message on System.err.

### AMDDebugOutputCallback

public AMDDebugOutputCallback(AMDDebugOutputCallback.Handler handler)
Creates an AMDDebugOutputCallback with the specified callback handler. The handler's `handleMessage` method will be called whenever debug output is generated by the GL.

Parameters:
  `handler` - the callback handler